namespace AppBlogFinal.Migrations
{
    using Models;
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Migrations;
    using System.Linq;

    internal sealed class Configuration : DbMigrationsConfiguration<AppBlogFinal.Models.PostDBContext>
    {
        public Configuration()
        {
            AutomaticMigrationsEnabled = false;
        }

        protected override void Seed(AppBlogFinal.Models.PostDBContext context)
        {
            context.Posts.AddOrUpdate(i => i.Title,
               new Post
               {
                   Title = "A ASP.NET Blog",
                   PublishDate = DateTime.Parse("1989-1-11"),
                   AverageRating = 5,
                   Category = "Lake Chelan, WA",
                   Preview = "images/LakeChelan.jpg",
                   Review = "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum."
               },

                new Post
                {
                    Title = "Ghostbusters",
                    PublishDate = DateTime.Parse("1989-1-11"),
                    AverageRating = 5,
                    Category = "Lake Chelan, WA",
                    Preview = "images/LakeChelan.jpg",
                    Review = "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum."
                },

                new Post
                {
                    PublishDate = DateTime.Parse("1989-1-11"),
                    AverageRating = 5,
                    Category = "Lake Chelan, WA",
                    Preview = "images/LakeChelan.jpg",
                    Review = "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum."
                },

              new Post
              {
                  PublishDate = DateTime.Parse("1989-1-11"),
                  AverageRating = 5,
                  Category = "Lake Chelan, WA",
                  Preview = "images/LakeChelan.jpg",
                  Review = "Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum."
              }
            );
        }
    }
}
