﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Data.Entity.Infrastructure;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;
using System.Web.Http.Description;
using AppBlogFinal.Models;

namespace AppBlogFinal.Controllers
{
    public class PostsApiController : ApiController
    {
        private PostDBContext db = new PostDBContext();

        // GET: api/PostsApi
        public IQueryable<Post> GetPosts()
        {
            return db.Posts;
        }

        // GET: api/PostsApi/5
        [ResponseType(typeof(Post))]
        public IHttpActionResult GetPost(int id)
        {
            Post post = db.Posts.Find(id);
            if (post == null)
            {
                return NotFound();
            }

            return Ok(post);
        }
    }
}